/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import rpcs.system.*;
import java.io.*;
import java.util.*;

public class RPCSBaseWeapon implements Serializable {
	String	wp_desc;		/* Description */
	String	wp_atktab;		/* attack table to use */
	boolean	wp_sel;		/* Weapon selected */
	int    	wp_ob;		/* Current OB */
	String	wp_size;		/* Size of weapon's attack */
	int     	wp_base_range;	/* Base Range */
	String  	wp_type;		/* 1H, 2H, Mis etc */
	String	wp_spl_type;	/* Magical, Slaying etc */

	RPCSTable WTable;
	JPanel WPanel;

	public RPCSBaseWeapon(JPanel pan) {
		WPanel = pan;
		WTable = new RPCSTable(9,8);
		WTable.setColumnHeaders(new String[] {"Type", "Used", "Description", "2Hit", "Sz", "Rge", "WType", "SType", "Special Cmds"});
		WTable.setColumnWidths(new int[] {30, 30, 90, 35, 20, 30, 40, 40, 200});
		WTable.setValueAt("Mle", 0, 0);WTable.setValueAt("Mle", 1, 0);WTable.setValueAt("Mle", 2, 0);
		WTable.setValueAt("Mis", 4, 0);WTable.setValueAt("Thw", 5, 0);WTable.setValueAt("Spl", 7, 0);
		WPanel.add(WTable);
	}
}
