
/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import java.awt.*;
import java.awt.event.*;

import java.io.*;
import java.util.*;

public class RPCSDialog extends JDialog {
	RPCSParam Params;	/* */

	public JPanel CPanel;
	public JPanel SPanel;

	JButton[] tButton;

	public RPCSDialog(RPCSParam param) {
		super(param.aRPCSMain.RPCSParent, "", true);
		Params = param;
		init();
	}

	public void init() {

		getContentPane().setLayout(new BorderLayout());
		setSize(500, 400);
//		setModal(true);

		Params.aRPCSMain.setCenter(Params.aRPCSMain.RPCSParent, this);

		CPanel = new JPanel();
		SPanel = new JPanel();
		SPanel.setBackground(Color.white);

		getContentPane().add(CPanel, "Center");
		getContentPane().add(SPanel, "South");

		tButton = new JButton[3];
		tButton[0] = new JButton("  OK  ");
		tButton[1] = new JButton("  Cancel  ");
		tButton[2] = new JButton("  Reset  ");
		SPanel.add(tButton[0], "East");
		SPanel.add(tButton[1], "Center");
		SPanel.add(tButton[2], "West");

		addWindowListener(new WindowAdapter() {
		   public void windowClosing(WindowEvent e) { 
			setVisible(false); 
		   }
		});

		tButton[0].addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				doOK();
				setVisible(false);
			}
		});
		tButton[1].addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				doCancel();
				setVisible(false);
			}
		});
		tButton[2].addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				doReset();
				setVisible(false);
			}
		});
	}

	public void setVisible(boolean b) {
		Params.aRPCSMain.setCenter(Params.aRPCSMain.RPCSParent, this);
		super.setVisible(b);
	}

	public void doOK() {
	}

	public void doCancel() {
	}

	public void doReset() {
	}
}
