
/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import rpcs.system.*;
import java.io.*;
import java.util.*;

public class RPCSHerb extends RPCSBaseHerb {
	public RPCSHerb(RPCSParam Param) {
		super(Param);
	}
	public void init() {
		super.init();
	}

	public void initVars() {
		super.initVars();
HTable.addRow(new String[] {"Bone Repair","cF5NW","a/stem","Arfandas","*2 healing of fractures","2sp"});
HTable.addRow(new String[] {"Bone Repair","hO5S","b/stalk","Balaak","will heal the worst shattered breaks","45gp"});
HTable.addRow(new String[] {"Bone Repair","tM4W","ea/root","Boneset","*3 healing of fractures","14gp"});
HTable.addRow(new String[] {"Bone Repair","tS7","b/stalk","Bursthelas","repairs bones/joints","110gp"});
HTable.addRow(new String[] {"Bone Repair","cF6","i/moss","Edram","mends bone","31gp"});
HTable.addRow(new String[] {"Burn Relief","mS3SW","a/gras","Alambas","heals 4 sq feet third degree burns","10gp"});
HTable.addRow(new String[] {"Burn Relief","tH4U","a/leaf","Aloe","*2 healing of burns/cuts, mild anaesthetic","5bp"});
HTable.addRow(new String[] {"Burn Relief","aZ4","a/leaf","Culkas","heals 10 sq feet of burns","35gp"});
HTable.addRow(new String[] {"Burn Relief","fM4","a/leaf","Jojojopo","cures frostbite, heals 2-20 from cold","9sp"});
HTable.addRow(new String[] {"Burn Relief","tT3U","a/berry","Kelventari","heals 3rd burns, heals d10/scars","19gp"});
HTable.addRow(new String[] {"Circulatory Repair","hO6","a/root","Anserke","stops bleeding, takes 3 rnds","75gp"});
HTable.addRow(new String[] {"Circulatory Repair","hO5","i/nut","Belan","stops bleeding, takes d10 rnds","40gp"});
HTable.addRow(new String[] {"Circulatory Repair","mF4W","ea/herb","Goldern Cress","stops bleeding 1-5, wounds wont reopen","4gp"});
HTable.addRow(new String[] {"Circulatory Repair","sS6","a/resin","Harfy","immediately stops bleeding","150gp"});
HTable.addRow(new String[] {"Circulatory Repair","import-E","b/mix","Rumareth","stops bleeding, drowsiness",""});
HTable.addRow(new String[] {"Circulatory Repair","tH4N","b/leaves","Tulaxar","stops bleeding","75gp"});
HTable.addRow(new String[] {"Concussion Relief","hS6S","ea/leaf","Akbutege","heals 1-10 ","5gp"});
HTable.addRow(new String[] {"Concussion Relief","mT4C","a/sap","Arksau","heals 2-12, *2 healing of wounds, antiseptic","12gp"});
HTable.addRow(new String[] {"Concussion Relief","tT6W","a/leaf","Arlan","heals 4-9","13sp"});
HTable.addRow(new String[] {"Concussion Relief","","cr/leaf","Arman'umas","*2 healing, reduces swelling",""});
HTable.addRow(new String[] {"Concussion Relief","cM3U","a/leaf","Darsurion","heals 1-6","3sp"});
HTable.addRow(new String[] {"Concussion Relief","sO2","i/leaf","Draaf","heals 1-10","5sp"});
HTable.addRow(new String[] {"Concussion Relief","mS4W","br/flower","Chamomile","sleep 2-12 hrs, *3 healing","7gp"});
HTable.addRow(new String[] {"Concussion Relief","aZ3","i/cactus","Gariig","heals 30","55gp"});
HTable.addRow(new String[] {"Concussion Relief","eV5","i/lichen","Gefnul","heals 100","90gp"});
HTable.addRow(new String[] {"Concussion Relief","mD2M","ap/moss","Harwite","heals 5-50","1gp"});
HTable.addRow(new String[] {"Concussion Relief","mU6NW","li/mix","Madarch","warms, heals all cuts/bleeding in 1-2 hrs","100gp"});
HTable.addRow(new String[] {"Concussion Relief","cM3U","i/berry","Mirenna","heals 10 (can hold in mouth)","10gp"});
HTable.addRow(new String[] {"Concussion Relief","tU4","b/moss","Reglen","heals 50, calms","75gp"});
HTable.addRow(new String[] {"Concussion Relief","tD3","b/nodule","Rewk","heals 2-20","9sp"});
HTable.addRow(new String[] {"Concussion Relief","tD1","b/clove","Thurl","heals 1-4","1sp"});
HTable.addRow(new String[] {"Concussion Relief","cC7N","i/fruit","Winclamit","heals 3-300","100gp"});
HTable.addRow(new String[] {"Concussion Relief","mO5","i/fruit","Yavethalion","heals 5-50","45gp"});
HTable.addRow(new String[] {"General Purpose","cM7U","b/root","Arlian's Slipper","+20RR vs. colds, undead:-40 vs morale","1bp"});
HTable.addRow(new String[] {"General Purpose","cM2","i/root","Arthond","+20RR vs colds, *5 healing of respiratory","5bp"});
HTable.addRow(new String[] {"General Purpose","mS3U","b/root","Arunya","lvl 11, sleep/unconsciousness, addictive","4sp"});
HTable.addRow(new String[] {"General Purpose","tC5W","b/leaf","Athelas","can cure anything in the hands of a king ","200gp"});
HTable.addRow(new String[] {"General Purpose","tF4U","a/moss","Attanar","cures fever","8gp"});
HTable.addRow(new String[] {"General Purpose","mS2M","ea/fruit","Avhail","mutes hunger, restores from starvation","3bp"});
HTable.addRow(new String[] {"General Purpose","tH5N","b/leaves","Baranie","reduces nausea by 75%","2bp"});
HTable.addRow(new String[] {"General Purpose","cC2NW","ea/nut","Blue Pine","5 seeds equal to a meal of preserved rations","1cp"});
HTable.addRow(new String[] {"General Purpose","sH3S","ea/tissue","Bodezlist","flower's heart equals one day's water","4gp"});
HTable.addRow(new String[] {"General Purpose","mS1W","weave1bp/fibers","Bog-land Grass","tough fibers, waterproof ropes and baskets","1bp"});
HTable.addRow(new String[] {"General Purpose","tH8","i/powder","Boskone","'Awareness' 10-20 rnds, addictive, withdrawal","78gp"});
HTable.addRow(new String[] {"General Purpose","sH5S","b/nodule","Caj","PP recovered in half time, 5% of death","10gp"});
HTable.addRow(new String[] {"General Purpose","tS5","a/leaf","Carnerem","delays poison effects for 24 hrs","40gp"});
HTable.addRow(new String[] {"General Purpose","sA7S","b/mix","Culan","anti-spasmodic, vs some poisons","50gp"});
HTable.addRow(new String[] {"General Purpose","cC2NW","a/bark","Delrean","repels insects (Lvl 7), smells foul","3sp"});
HTable.addRow(new String[] {"General Purpose","mD6W","in/resin","Din Fuinen","amnesia 1-100 days, not perminant","25gp"});
HTable.addRow(new String[] {"General Purpose","hD4S","b/root","Dragul","aware, +10 to all perceptions","25gp"});
HTable.addRow(new String[] {"General Purpose","tH4N","b/root","Elendils Spear","slows poison by 10, purify water 5 gallons","8gp"});
HTable.addRow(new String[] {"General Purpose","tA6W","b/flower","Eyebright","+10 perception, 50' infravision, 1 hour","3gp"});
HTable.addRow(new String[] {"General Purpose","fM9NW","b/flower","Faghiu","serves or loves giver for 1100 days","330gp"});
HTable.addRow(new String[] {"General Purpose","mD5NW","sm/flower","Feduilas","+20 RR Essence/Mental ATs 1-5 hrs, AG/QU at -10","11sp"});
HTable.addRow(new String[] {"General Purpose","mO5","i/leaf","Felmather","mentally sumons a friend, relieves coma","105gp"});
HTable.addRow(new String[] {"General Purpose","Dunlend","li/flower","Flur Rort","antidote for nerve poisons (12th lvl)",""});
HTable.addRow(new String[] {"General Purpose","mD7W","a/lichen","Gloriosa","glows, if applied to blade will cut rock","10gp"});
HTable.addRow(new String[] {"General Purpose","mF6W","li/seed","Goodwort","bolsters good +10 morale,  confusion & dizzines to evil creatures (-50), d4 hrs","23gp"});
HTable.addRow(new String[] {"General Purpose","import","b/mix","Harlindar","safe childbirth",""});
HTable.addRow(new String[] {"General Purpose","mD7NW","d/mix","Haruella","Pinnath Ceren, undead: +30 RR vs Fear, cold/draining ATs, *2 repelling","250gp"});
HTable.addRow(new String[] {"General Purpose","sH1S","ea/berry","Kiseoboba","desert, no thirst sensations","1sp"});
HTable.addRow(new String[] {"General Purpose","cF4N","b/stem","Latha","+10RR vs disease, cures colds, heals 12","10sp"});
HTable.addRow(new String[] {"General Purpose","tU5NW","i/mushroom","Lemsang","a purple 'fur'; a pound = 1 month rations","4gp"});
HTable.addRow(new String[] {"General Purpose","herbalist","b/mix","Maiana","decongestant, halves effects",""});
HTable.addRow(new String[] {"General Purpose","herbalist","p/mix","Margath","anaesthetic",""});
HTable.addRow(new String[] {"General Purpose","cF3","b/moss","Melandar","+10RR disease d10 days","12sp"});
HTable.addRow(new String[] {"General Purpose","cC5","b/cone","Menelar","cures any non-mental disease","65gp"});
HTable.addRow(new String[] {"General Purpose","mM5NW","ea/any","Nethandon","stomach pump, vs ingested poisons","1gp"});
HTable.addRow(new String[] {"General Purpose","mD7W","a/nectar","Rose Tree","poison antidote, +25 to enchantments","50gp"});
HTable.addRow(new String[] {"General Purpose","tS8NW","wear/flower","Sailcha","+10 morale/RRs, +5 DB, 3-7 days","50gp"});
HTable.addRow(new String[] {"General Purpose","mS3NW","b/powder","Silraen","analgesic(25% pain), drowsiness 4-5 hrs","35sp"});
HTable.addRow(new String[] {"General Purpose","tD3NW","p/bark","Teldalion","reduces inflammation, cures infections","5gp"});
HTable.addRow(new String[] {"General Purpose","eW7","i/leaf","Ul-Naza","poison antidote, 1 day","450gp"});
HTable.addRow(new String[] {"General Purpose","fH3","i/nut","Ur","1 days food","3gp"});
HTable.addRow(new String[] {"General Purpose","tA8W","ea/root","Wight Orchid","mind/soul leave body, 10 mile range. RR every mile, failure 51+ soul is lost.","300gp"});
HTable.addRow(new String[] {"Life Perservation","hO5","i/leaf","Degiik","lifekeeping, 1 day","100gp"});
HTable.addRow(new String[] {"Life Perservation","mO9","i/leaf","Laurelin","lifegiving for elves, 28 days ","999gp"});
HTable.addRow(new String[] {"Life Perservation","mU9NW","ea/flower","Lothfelag","heals; preserves living tissue, absolves pain, can even give back a lost life","1000gp"});
HTable.addRow(new String[] {"Life Perservation","fF8","i/clove","Oiolosse","lifegiving for elves, 7 days","600gp"});
HTable.addRow(new String[] {"Life Perservation","fO6","i/flower","Olvar","lifekeeping, 2d10 days","200gp"});
HTable.addRow(new String[] {"Life Perservation","hJ8","i/berry","Pargen","lifegiving, 4 days","800gp"});
HTable.addRow(new String[] {"Life Perservation","aH4","i/nodule","Pathur","lifekeeping, 1 hr","35gp"});
HTable.addRow(new String[] {"Life Perservation","fA9U","i/leaf","Tyr-fira","lifegiving, 56 days","1200gp"});
HTable.addRow(new String[] {"Musc/Cart Repair","mS2NW","a/leaf","Arnuminas","*2 healing ligament/cartilage/muscule","6bp"});
HTable.addRow(new String[] {"Musc/Cart Repair","tF5","b/stalk","Arpsusar","mends muscules","30gp"});
HTable.addRow(new String[] {"Musc/Cart Repair","hD6S","ea/fruit","Curfalaka","heals muscules","5gp"});
HTable.addRow(new String[] {"Musc/Cart Repair","sS5","b/spine","Dagmather","heals cartilage","28gp"});
HTable.addRow(new String[] {"Musc/Cart Repair","mO4","i/flower","Ebur","repairs sprains","22gp"});
HTable.addRow(new String[] {"Nerve Repair","sC6","b/lichen","Belramba","repairs nerves","60gp"});
HTable.addRow(new String[] {"Nerve Repair","cA7","/fruit","Gorfon","sleep for 10-20 hrs, all damage healed",""});
HTable.addRow(new String[] {"Nerve Repair","mD3","a/leaf","Terbas","*2 healing of nerves","2gp"});
HTable.addRow(new String[] {"Organ Repair","cM5","b/root","Aldaka","restores sight","102gp"});
HTable.addRow(new String[] {"Organ Repair","mD2C","ea/glands","Asp Glands","organ restorer; madness- passes in an hour","100gp"});
HTable.addRow(new String[] {"Organ Repair","mD3","b/moss","Berterin","preservative 1 day","19gp"});
HTable.addRow(new String[] {"Organ Repair","cF4","b/root","Febfendu","restores hearing","90gp"});
HTable.addRow(new String[] {"Organ Repair","import","p/mix","Gildarion","organ repair, rare",""});
HTable.addRow(new String[] {"Organ Repair","Gondor","a/moss","Numemelos","The White Tree, nerve regen, organ repair","300gp"});
HTable.addRow(new String[] {"Organ Repair","sS6","i/clove","Siran","restores 1 organ, skin disease","80gp"});
HTable.addRow(new String[] {"Organ Repair","sS5","a/grass","Siriena","preservative 1 week","70gp"});
HTable.addRow(new String[] {"Organ Repair","hJ6","b/nodule","Tarnas","repairs organs","220gp"});
HTable.addRow(new String[] {"Phys Enhance","fH4","b/root","Atigax","protects eyes, 9 hrs","40gp"});
HTable.addRow(new String[] {"Phys Enhance","mV4","i/flower","Breldiar","-30 vs MM/OB, +50 to spells/missile ATs, 1 hr, addicitive","25gp"});
HTable.addRow(new String[] {"Phys Enhance","mS4NW","b/root","Elbens Basket","heart stimulant, haste 1 rnd","3gp"});
HTable.addRow(new String[] {"Phys Enhance","mO5","i/algae","Gylvir","breathe underwater, 4 hrs","45gp"});
HTable.addRow(new String[] {"Phys Enhance","cC6NW","b/fungus","Hiam Moss","stimulant 24 hrs, requires rest","9gp"});
HTable.addRow(new String[] {"Phys Enhance","fW3","i/leaf","Kathkusa","*2 STR, +10 OB, *2 hits, d10 rnds","50gp"});
HTable.addRow(new String[] {"Phys Enhance","hS5","b/root","Kilmakur","protects vs flame/heat, d10 hrs","65gp"});
HTable.addRow(new String[] {"Phys Enhance","sS3","b/bud","Klagul","elf sight, 6 hrs","27gp"});
HTable.addRow(new String[] {"Phys Enhance","cM3","i/leaf","Megillos","inc's smell/sight, 10 mins","12sp"});
HTable.addRow(new String[] {"Phys Enhance","cH7NW","i/flower","Sha","15 rnds infravision, 45 days cramps","10gp"});
HTable.addRow(new String[] {"Phys Enhance","tS2","i/pollen","Yaran","acute smell/taste, 1 hr","9sp"});
HTable.addRow(new String[] {"Phys Enhance","aU4","i/mushroom","Zulsendura","haste, 3 rnds","70gp"});
HTable.addRow(new String[] {"Phys Enhance","cU4","b/fungus","Zur","enhances smell/hearing, 1 hr","12gp"});
HTable.addRow(new String[] {"Stat Mods","aZ9","i/bud","Lestagii","restores stats losses","520gp"});
HTable.addRow(new String[] {"Stat Mods","sS5","b/thorn","Merrig","inc's PR/AP +5, addiction","2gp"});
HTable.addRow(new String[] {"Stun Relief","hD2S","ea/leaf","Lainimit","stun relief, 3 rnds","1gp"});
HTable.addRow(new String[] {"Stun Relief","tF3SW","i/berry","Suranie","stun relief, 1 rnd (can hold in mouth)","2gp"});
HTable.addRow(new String[] {"Stun Relief","sS4","i/root","Vinuk","stun relief, d10 rnds","4gp"});
HTable.addRow(new String[] {"Stun Relief","mF4","i/leaf","Welwal","stun relief, 2 rnds, (can hold in mouth)","12gp"});
HTable.addRow(new String[] {"Stun Relief","hJ6S","i/leaf","Witan","stun relief, 2 rnds","12gp"});
HTable.addRow(new String[] {"Poison","fM7","p/flower","Acaana","lvl 10, instantly","600gp"});
HTable.addRow(new String[] {"Poison","mT3C","p/Asp","Asp venom","lvl 5, limb loss","23gp"});
HTable.addRow(new String[] {"Poison","cC9NW","i/leaf","Black Vine","lvl 7, euphoria 1-100 hrs","205gp"});
HTable.addRow(new String[] {"Poison","cU9C","b/mushroom","Camadarch","lvl 6, blue skin, body rot","175gp"});
HTable.addRow(new String[] {"Poison","hF3","p/leaf","Dynallca","lvl 3, hearing, d10 hits","14gp"});
HTable.addRow(new String[] {"Poison","cA6","po/leaf","Galenaana","lvl 6, kills elves, coma others","179gp"});
HTable.addRow(new String[] {"Poison","mU5","p/bats","Jegga","lvl 7, 1-100 hits","92gp"});
HTable.addRow(new String[] {"Poison","mO4","li/clams","Jitsu","lvl 5, 1-50 hits","34gp"});
HTable.addRow(new String[] {"Poison","aZ5","li/scorpion","Juth","lvl 2, insanity","41gp"});
HTable.addRow(new String[] {"Poison","hJ4S","p/leaf","Karfar","lvl 7, kills 2d6 rnds","142gp"});
HTable.addRow(new String[] {"Poison","sH5","p/berry","Kly","lvl 3, 3-300 hits","154gp"});
HTable.addRow(new String[] {"Poison","sB4S","p/root","Klytun","lvl 5, d10 day coma","53gp"});
HTable.addRow(new String[] {"Poison","fM7NW","b/lichen","Lawrim","lvl 3, pain d10 rnds, paralysis d10 hrs","25gp"});
HTable.addRow(new String[] {"Poison","tT3","p/flower","Lus","lvl 4, d12 rnds","31gp"});
HTable.addRow(new String[] {"Poison","mT2","p/stalk","Silmaana","lvl 9, 2d10 hits","4gp"});
HTable.addRow(new String[] {"Poison","tD7","p/spider","Slota","lvl 5, paralysis & death","36gp"});
HTable.addRow(new String[] {"Poison","cC5","po/bark","Taynaga","lvl 8, 5-50 hits, sterilizies","27gp"});
HTable.addRow(new String[] {"Poison","tS3","p/leaf","Uraana","lvl 6, 3-30 hits","12gp"});
HTable.addRow(new String[] {"Poison","tM6","li/root","Zaganzar","lvl 2, blinds, d10 hits","139gp"});
HTable.addRow(new String[] {"Poison","tO5","a/lichen","Worlclivur","lvl 4, effects eyes",""});
HTable.addRow(new String[] {"Intoxicants","tF","li/stem","Ancalthur","time sense warped for 2-4 hrs (-50+)",""});
HTable.addRow(new String[] {"Intoxicants","mV4","i/flower","Brorkwilb","euphoric, shared family dreams, V addictive","9gp"});
HTable.addRow(new String[] {"Intoxicants","tU4","i/mushroom","Chrume","euphoric stimulant, easily distracted","15sp"});
HTable.addRow(new String[] {"Intoxicants","mH6","b/clove","Ecsasse","stimulant/hallucinogen, friendly, mind ATs","20gp"});
HTable.addRow(new String[] {"Intoxicants","tH6NW","sm/flower","Feduilas","relaxant, +20RR vs Essence 1-5 hrs, AG -10","11sp"});
HTable.addRow(new String[] {"Intoxicants","mF5","in/leaves","Gort","hallucinogen, +10 PR 2 hrs, -50 d10 hrs","10gp"});
HTable.addRow(new String[] {"Intoxicants","sS3","i/flower","Hoak-foer","hallucinogen, cures mind loss/diseases but prevents movement for d10 weeks","67gp"});
HTable.addRow(new String[] {"Intoxicants","mT5NW","ea/buds","Kirtir","stimulant, AG +10 1 hr, CON -30 d10 hrs","5gp"});
HTable.addRow(new String[] {"Intoxicants","fA7","i/berry","Lu Jy Mirenna","powerful hallucinogen, visions - beneficial, frequent use perilous","100gp"});
HTable.addRow(new String[] {"Intoxicants","sV5","b/leaf","Nelisse","euphoria (-50) for 1 hr, 1 days food","9sp"});
HTable.addRow(new String[] {"Intoxicants","mS3U","sm/leaf","Pipeweed","addictive. relaxant -10 for 1-2 hrs","4sp"});
HTable.addRow(new String[] {"Intoxicants","tF4NW","sm/weed","Tartiella","relaxant, all stats -10 d10 hrs, happy","4sp"});
HTable.addRow(new String[] {"Intoxicants","Arnor","li/mushroom","Temsanc","inc's effects of alcohol, common",""});
	}
}
