/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import java.awt.* ;
import java.util.* ;

public class PositionLayout implements LayoutManager {
    Dimension pSize;

    public PositionLayout() {
    }

    public void addLayoutComponent(String name, Component comp) {
    }

    public void removeLayoutComponent(Component comp) {
    }

    public Dimension minimumLayoutSize(Container parent) {
	return parent.getSize();
    }
    
    public Dimension preferredLayoutSize(Container parent) {
	return parent.getPreferredSize();
    }

    public void setSizes(Container parent) {
    }

    public void layoutContainer(Container parent) {
	int nComps = parent.getComponentCount();
	pSize = parent.getSize();

	for (int i=0; i<nComps; i++) {
	   Component c = parent.getComponent(i);
	   c.setBounds(c.getBounds());
	}
    }
}
