/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import rpcs.system.*;
import java.io.*;
import java.util.*;

public class RPCSBaseInitiative extends RPCSDialog {
	RPCSForm iForm;

	public RPCSBaseInitiative(RPCSParam params) {
		super(params);
		setTitle("RPCS Initiative Screen");
	}

	public void init() {
		super.init();
		iForm = new RPCSForm(CPanel, false);

		initVars();
	}

	public void initVars() {
	}

	public void startRnd() {
		Params.aRPCSMain.pRPCSSystem.nextRnd();
		setupInitiatives();
	}

	public void setupInitiatives() {
	}

	public void endRnd() {
	}
}

class RPCSInit_Tbl implements Serializable {
	int   	in_value;	/* init value for this action */
	String	in_action;	/* code for this action */
	Vector  in_effects;	/* ID's of whom it effects */
	String	in_atkres;	/* results of each attack on ID */

	public RPCSInit_Tbl() {
	}
}
