/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import rpcs.system.*;

public class RPCSBasePlayer extends RPCSBaseObject {

	public RPCSBasePlayer(Frame pFrame, RPCSParam param) {
		this(pFrame, param, param.aRPCSMain.baseIcon[0]);
	}

	public RPCSBasePlayer(Frame pFrame, RPCSParam param, Icon icon) {
		super(pFrame, param, icon);
		ObjButton.setText("A Player");
		name = "A Player";
		ObjButton.setToolTipText(name);
		Params.aRPCSMain.vRPCSPlayer.addElement(this);
		Params.aRPCSMain.lRPCSPlayer.addToList(this);
	}

	public void setVisible(boolean b) {
		ObjDialog.setTitle("RPCS Player Window: " + name);
		super.setVisible(b);
	}

	public void updateDetails(boolean action) {
		super.updateDetails(action);
		Params.aRPCSMain.lRPCSPlayer.updateDetails(this);
	}
}
