
/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import java.io.*;
import java.util.*;
import rpcs.system.*;

public class RPCSEquipment extends RPCSBaseEquipment {
	public RPCSEquipment(RPCSParam param) {
		super(param);
	}

	public void init() {
		super.init();
		initVars();
	}

	public void initVars() {
		super.initVars();
ETable.addRow(new String[] {"arrows(20)", "4bp", "3", "wodden shaft and iron tips."});
ETable.addRow(new String[] {"backpack", "2bp", "2-3", "Leather/canvas Holds 20lb"});
ETable.addRow(new String[] {"bedroll(light)", "2bp", "4-7", "lasts 2 seasons"});
ETable.addRow(new String[] {"bedroll(heavy)", "7bp", "8-11", "lasts 4 seasons"});
ETable.addRow(new String[] {"boots", "1sp", "3-4", "leather"});
ETable.addRow(new String[] {"brush(writing)", "5cp", "0.25", ""});
ETable.addRow(new String[] {"bucket", "4bp", "2-3", "3 gallons"});
ETable.addRow(new String[] {"caltrops(5)", "8bp", "2", "portable spiketrap"});
ETable.addRow(new String[] {"candle", "4cp", "0.25", ""});
ETable.addRow(new String[] {"case", "4sp", "1", ""});
ETable.addRow(new String[] {"cask", "24bp", "5", ""});
ETable.addRow(new String[] {"chain", "6bp", "8", "Iron 10'"});
ETable.addRow(new String[] {"chalk(10)", "2bp", "0.25", ""});
ETable.addRow(new String[] {"charcoal", "22cp", "1", ""});
ETable.addRow(new String[] {"chisel", "9bp", "1", ""});
ETable.addRow(new String[] {"cloak", "9bp", "2-3", ""});
ETable.addRow(new String[] {"climbing pick", "28bp", "2", ""});
ETable.addRow(new String[] {"coat", "15bp", "5-9", ""});
ETable.addRow(new String[] {"crossbow bolts(20)", "11bp", "3", ""});
ETable.addRow(new String[] {"fire-starting bow", "8tp", "0.5", "starts fire in 5min"});
ETable.addRow(new String[] {"flint and steel", "1bp", "0.5", "starts fire in 3min"});
ETable.addRow(new String[] {"framepack", "33cp", "3-4", "holds 45lb"});
ETable.addRow(new String[] {"gloves", "2bp", "0.5", ""});
ETable.addRow(new String[] {"grappling hook", "1sp", "1", "d"});
ETable.addRow(new String[] {"hammer", "1sp", "1", ""});
ETable.addRow(new String[] {"hammock", "1bp", "2-3", ""});
ETable.addRow(new String[] {"harnes", "1sp", "4", ""});
ETable.addRow(new String[] {"hat", "6bp", "1", ""});
ETable.addRow(new String[] {"hood", "16cp", "0.5", ""});
ETable.addRow(new String[] {"ink", "14cp", "0.25", ""});
ETable.addRow(new String[] {"ladder", "32cp", "15", ""});
ETable.addRow(new String[] {"lantern", "12bp", "1-2", ""});
ETable.addRow(new String[] {"lock pick kit", "1sp", "0.5", ""});
ETable.addRow(new String[] {"mirror", "35bp", "0.5", ""});
ETable.addRow(new String[] {"nails(20)", "9tp", "0.5", ""});
ETable.addRow(new String[] {"oar", "6cp", "4-5", ""});
ETable.addRow(new String[] {"oil flask", "3bp", "1", ""});
ETable.addRow(new String[] {"padded undercoat", "6bp", "2-4", ""});
ETable.addRow(new String[] {"paddle", "5cp", "3", ""});
ETable.addRow(new String[] {"padlock", "23bp", "1", ""});
ETable.addRow(new String[] {"pants", "25cp", "1-2", ""});
ETable.addRow(new String[] {"paper(10)", "12bp", "0.25", ""});
ETable.addRow(new String[] {"parchment(10)", "2sp", "0.25", ""});
ETable.addRow(new String[] {"pegs", "9tp", "2", ""});
ETable.addRow(new String[] {"pitons", "2bp", "2-3", ""});
ETable.addRow(new String[] {"plank", "6tp", "11-12", ""});
ETable.addRow(new String[] {"pole", "5cp", "5-10", ""});
ETable.addRow(new String[] {"pot(cooking)", "7bp", "2-3", ""});
ETable.addRow(new String[] {"quiver", "1bp", "0.5", "hold 20 arrows/bolts"});
ETable.addRow(new String[] {"rope", "4bp", "4-7", ""});
ETable.addRow(new String[] {"rope(superior)", "12bp", "2-4", ""});
ETable.addRow(new String[] {"sack(50lb)", "8cp", "2-3", ""});
ETable.addRow(new String[] {"saddle", "5sp", "10-12", ""});
ETable.addRow(new String[] {"saddle bag", "8bp", "4-6", ""});
ETable.addRow(new String[] {"saw", "23bp", "2-3", ""});
ETable.addRow(new String[] {"scabbard", "3sp", "1", ""});
ETable.addRow(new String[] {"shirt", "3bp", "1", ""});
ETable.addRow(new String[] {"spade", "16bp", "3-4", ""});
ETable.addRow(new String[] {"sundial", "3sp", "1", ""});
ETable.addRow(new String[] {"surcoat", "9bp", "1-2", ""});
ETable.addRow(new String[] {"tarp", "1bp", "3-5", ""});
ETable.addRow(new String[] {"tent", "2sp", "8-10", ""});
ETable.addRow(new String[] {"tinderbox", "2cp", "0.25", ""});
ETable.addRow(new String[] {"torch", "3tp", "1", ""});
ETable.addRow(new String[] {"vial", "2bp", "0.25", ""});
ETable.addRow(new String[] {"water skin", "1cp", "0.25", ""});
ETable.addRow(new String[] {"weapon bolt", "5bp", "1", ""});
ETable.addRow(new String[] {"wedge(slaying)", "1cp", "1", ""});
ETable.addRow(new String[] {"wedge(splitting)", "3cp", "3", "iron"});
ETable.addRow(new String[] {"wire(10gauge)", "9bp", "3", "iron 100'"});
ETable.addRow(new String[] {"whistle", "2sp", "0.5", "range 1+mi."});
	}
}
