
/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import java.awt.*;
import java.awt.event.*;

import java.io.*;
import java.util.*;

public class RPCSGroup extends RPCSDialog {
	RPCSTable GTable;
	JComboBox Group;

	public RPCSGroup(RPCSParam param) {
		super(param);
		setTitle("RPCS Group Setup");
		init();
	}

	public void init() {
		super.init();
		GTable = new RPCSTable(2,18);
		GTable.setColumnHeaders(new String[] {"Group", "Whom it Contains"});
		GTable.setColumnWidths(new int[] {60, 100});
		initVars();
	}

	public void initVars() {
		Group = new JComboBox(new String[] {"All Players", "All Monsters", "All Traps", "Everything", "Qot L'Tar", "Selka Tamar"});
		GTable.setColumnType(1, Group);
		CPanel.add(GTable);
		CPanel.validate();
	}
}
